<?php

require_once "GigasetXMLElement.php";

class XMLAddressBook extends GigasetXMLElement
{

    public $screens = array();

    public function __construct($attributes = array())
    {
        parent::__construct("list", $attributes);
    }

    /**
     * 
     * adds a screen object into this current page
     * 
     * @param unknown $screen the screen which will be rendered.
     */
    public function addScreen($screen)
    {
        $this->screens[] = $screen;
    }
}
